## Class entity

zeep::xml::doctype::entity

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    class entity {
    public:
      // construct/copy/destruct
      (entity &) = ;
      (, , , );
      (, , );
      entity & (entity &) = ;

      // public member functions
       () ;
       () ;
       () ;
       () ;
       () ;
       ();
       () ;
       () ;
       ();
    };

## Description

### `entity` public construct/copy/destruct

1.     (entity &) = ;

2.     ( name,  replacement,
               external,  parsed);

3.     ( name,  replacement,
               path);

4.     entity & (entity &) = ;

### `entity` public member functions

1.      () ;

2.      () ;

3.      () ;

4.      () ;

5.      () ;

6.      ( ndata);

7.      () ;

8.      () ;

9.      ( externally_defined);